Bug 1316767 - Review Request: erlang-fast_tls - TLS / SSL native driver for Erlang / Elixir
Review Request: erlang-fast_tls - TLS / SSL native driver for Erlang / Elixir
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312517 1317183
  Show dependency treegraph
 
Reported: 2016-03-10 22:13 EST by Randy Barlow
Modified: 2016-04-11 14:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-fast_tls-1.0.1-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 14:46:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeremy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-03-10 22:13:28 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-fast_tls.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-fast_tls-1.0.1-1.fc25.src.rpm
Description: TLS / SSL native driver for Erlang / Elixir. This is used by ejabberd.
Fedora Account System Username: rbarlow
Comment 1 Randy Barlow 2016-03-10 22:15:31 EST
This is a package rename. Upstream renamed their tls package to fast_tls. The current Fedora package is called erlang-p1_tls:

https://admin.fedoraproject.org/pkgdb/package/rpms/erlang-p1_tls/
Comment 2 Peter Lemenkov 2016-03-16 06:49:34 EDT
* You should remove "%global debug_package %{nil}" because this package contains so-library and therefore should have debuginfo sub-package.
Comment 3 Randy Barlow 2016-03-18 00:44:52 EDT
Hello Peter! I have added a debuginfo package in release 2:

Spec URL: https://rbarlow.fedorapeople.org/erlang-fast_tls.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-fast_tls-1.0.1-2.fc25.src.rpm
Comment 4 Jeremy Cline 2016-04-09 12:15:07 EDT
Package installs fine outside of fedora-review.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (2 clause)", "Unknown or generated". 4
     files have unknown license. Detailed output of licensecheck in
     /home/vagrant/fedora-reviews/1316767-erlang-fast_tls/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in erlang-
     fast_tls-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /home/vagrant/fedora-reviews/1316767-erlang-fast_tls/results/erlang-fast_tls-1.0.1-2.fc25.x86_64.rpm /home/vagrant/fedora-reviews/1316767-erlang-fast_tls/results/erlang-fast_tls-debuginfo-1.0.1-2.fc25.x86_64.rpm /home/vagrant/fedora-reviews/1316767-erlang-fast_tls/results/erlang-fast_tls-debuginfo-1.0.1-2.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/vagrant/fedora-reviews/1316767-erlang-fast_tls/results/erlang-fast_tls-1.0.1-2.fc25.x86_64.rpm /home/vagrant/fedora-reviews/1316767-erlang-fast_tls/results/erlang-fast_tls-debuginfo-1.0.1-2.fc25.x86_64.rpm /home/vagrant/fedora-reviews/1316767-erlang-fast_tls/results/erlang-fast_tls-debuginfo-1.0.1-2.fc25.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: erlang-fast_tls-1.0.1-2.fc25.x86_64.rpm
          erlang-fast_tls-debuginfo-1.0.1-2.fc25.x86_64.rpm
          erlang-fast_tls-1.0.1-2.fc25.src.rpm
erlang-fast_tls.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-fast_tls.x86_64: W: no-soname /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so
erlang-fast_tls.x86_64: W: crypto-policy-non-compliance-openssl /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so SSL_CTX_set_cipher_list
erlang-fast_tls.x86_64: W: no-soname /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/p1_sha.so
erlang-fast_tls-debuginfo.x86_64: W: spelling-error Summary(en_US) tls -> ts, ls, tbs
erlang-fast_tls-debuginfo.x86_64: W: spelling-error %description -l en_US tls -> ts, ls, tbs
erlang-fast_tls.src: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
3 packages and 0 specfiles checked; 0 errors, 7 warnings.


Rpmlint installed packages
--------------------------
[vagrant@fedora results]$ rpmlint erlang-fast_tls erlang-fast_tls-debuginfo
erlang-fast_tls.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-fast_tls.x86_64: W: no-soname /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so driver_alloc
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so driver_free
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so set_port_control_flags
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so driver_realloc_binary
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so driver_alloc_binary
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so driver_realloc
erlang-fast_tls.x86_64: W: crypto-policy-non-compliance-openssl /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so SSL_CTX_set_cipher_list
erlang-fast_tls.x86_64: W: no-soname /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/p1_sha.so
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/p1_sha.so enif_inspect_iolist_as_binary
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/p1_sha.so enif_make_binary
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/p1_sha.so enif_make_badarg
erlang-fast_tls.x86_64: W: undefined-non-weak-symbol /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/p1_sha.so enif_alloc_binary
erlang-fast_tls.x86_64: W: unused-direct-shlib-dependency /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/p1_sha.so /lib64/libssl.so.10
erlang-fast_tls-debuginfo.x86_64: W: spelling-error Summary(en_US) tls -> ts, ls, tbs
erlang-fast_tls-debuginfo.x86_64: W: spelling-error %description -l en_US tls -> ts, ls, tbs
2 packages and 0 specfiles checked; 0 errors, 17 warnings.


Requires
--------
erlang-fast_tls-debuginfo (rpmlib, GLIBC filtered):

erlang-fast_tls (rpmlib, GLIBC filtered):
    erlang(erl_drv_version)
    erlang(erl_nif_version)
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-public_key(x86-64)
    erlang-stdlib(x86-64)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)
    libcrypto.so.10(OPENSSL_1.0.2)(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    rtld(GNU_HASH)



Provides
--------
erlang-fast_tls-debuginfo:
    erlang-fast_tls-debuginfo
    erlang-fast_tls-debuginfo(x86-64)

erlang-fast_tls:
    erlang-fast_tls
    erlang-fast_tls(x86-64)
    erlang-p1_tls



Unversioned so-files
--------------------
erlang-fast_tls: /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/fast_tls_drv.so
erlang-fast_tls: /usr/lib64/erlang/lib/fast_tls-1.0.1/priv/lib/p1_sha.so

Source checksums
----------------
https://github.com/processone/fast_tls/archive/1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 3e529ae50f9b9f039de1076e05fc0a82261153078c016f96e2743a8e7feb0b15
  CHECKSUM(SHA256) upstream package : 3e529ae50f9b9f039de1076e05fc0a82261153078c016f96e2743a8e7feb0b15


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1316767
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Note You need to log in before you can comment on or make changes to this bug.